=== debian/changelog ===
etcd (3.3.25+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Use packaged library
    + golang-github-grpc-ecosystem-go-grpc-middleware-dev
    + golang-github-soheilhy-cmux-dev
    + golang-github-tmc-grpc-websocket-proxy-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Oct 2020 16:01:47 +0800

etcd (3.3.25+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Rework goroutine leak patch
  * Disable parallel test to improve stability on slow arch
  * Adapt manpage and default config for 3.3 release

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 10 Oct 2020 03:12:37 +0800

etcd (3.3.25+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Not exit immediately on unsupported arch (Closes: #952536)
  * Add back some old patches to fix flaky tests

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Oct 2020 02:58:49 +0800

etcd (3.3.25+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Backport patch to fix tls test failure

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Oct 2020 00:03:52 +0800

etcd (3.3.25+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Fix tests failed with Ctty not valid in child.
    Address: #971158
  * Rewrite integration and functional tests in autopkgtest
  * Use execute_after_dh_auto_test
  * Update copyright
  * Fix file permission in golang-etcd-server-dev
  * Add Pre-Depends to etcd-server

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Oct 2020 23:23:47 +0800

etcd (3.3.25+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release 3.3.25
    + CVE-2020-15136 (Closes: #968752)
      Gateway TLS authentication only applies to endpoints detected in DNS SRV
      records
      https://github.com/etcd-io/etcd/security/advisories/GHSA-wr2v-9rpq-c35q
    + CVE-2020-15115 (Closes: #968740)
      No minimum password length
      https://github.com/etcd-io/etcd/security/advisories/GHSA-4993-m7g5-r9hh
    + CVE-2020-15114
      Gateway can include itself as an endpoint resulting in resource
      exhaustion
      https://github.com/etcd-io/etcd/security/advisories/GHSA-2xhq-gv6c-p224
    + CVE-2020-15113
      Directories created via os.MkdirAll are not checked for permissions
      https://github.com/etcd-io/etcd/security/advisories/GHSA-chh6-ppwq-jh92
    + CVE-2020-15112
      An entry with large index causes panic in WAL ReadAll method
      https://github.com/etcd-io/etcd/security/advisories/GHSA-m332-53r6-2w93
    + CVE-2020-15106
      A large slice causes panic in decodeRecord method
      https://github.com/etcd-io/etcd/security/advisories/GHSA-p4g4-wgrh-qrg2
  * Disable some failed tests (Closes: #971158)
  * Bump debhelper compat to 13
  * Add Rules-Requires-Root
  * Bump Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Oct 2020 22:58:53 +0800

etcd (3.2.26+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/patches/embed_tests_fix.patch: New patch, skips
    TestStartEtcdWrongToken test which fails if a etcd server is already
    running independently of the testsuite.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 31 May 2020 10:34:10 +0200

etcd (3.2.26+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian/rules: Provide an explicit and PHONY build rule, as before
    `debian/rules build' was a no-op which broke autopkgtest-pkg-go
    integration.(Closes: #956424)
  * debian/patches/series: Reactivate and update skip-dev-ptmx-error.patch.
  * debian/patches/e2e_tests_fix.patch,
    debian/patches/functional_tests_fix.patch,
    debian/patches/integration_tests_fix.patch: New patches, fix issues in the
    integration tests.
  * debian/rules: Add new rule autopkgtest which runs the integration tests
    during autopkgtest, as defined by all tests which are not part of
    INTEGRATION_TEST_EXCLUDES.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 29 May 2020 19:01:18 +0200
