=== debian/control ===
Source: etcd
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 2:1.10~),
               golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
               golang-github-coreos-bbolt-dev,
               golang-github-coreos-go-semver-dev (>= 0.2.0~),
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-pkg-dev (>= 3~),
               golang-github-creack-pty-dev (>= 1.1.11~),
               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
               golang-github-dustin-go-humanize-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
               golang-github-google-btree-dev,
               golang-github-google-uuid-dev,
               golang-github-gorilla-websocket-dev,
               golang-github-grpc-ecosystem-go-grpc-middleware-dev,
               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
               golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.2.0~),
               golang-github-jonboulle-clockwork-dev,
               golang-github-json-iterator-go-dev,
               golang-github-modern-go-reflect2-dev,
               golang-github-olekukonko-tablewriter-dev (>= 0.0~git20170122.0.a0225b3~),
               golang-github-prometheus-client-golang-dev (>= 1.0.0~),
               golang-github-prometheus-client-model-dev,
               golang-github-soheilhy-cmux-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-tmc-grpc-websocket-proxy-dev,
               golang-github-urfave-cli-dev,
               golang-github-xiang90-probing-dev (>= 0.0.1~),
               golang-go.uber-zap-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-time-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               golang-gopkg-yaml.v2-dev,
               golang-goprotobuf-dev,
               golang-k8s-sigs-yaml-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/etcd
Vcs-Git: https://salsa.debian.org/go-team/packages/etcd.git
Homepage: https://etcd.io
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/coreos/etcd

Package: etcd
Architecture: all
Section: oldlibs
Depends: etcd-client,
         etcd-server,
         ${misc:Depends},
Description: Transitional package for etcd-client and etcd-server
 This is a transitional package to ease upgrades for splitting the
 etcd package into a separate client and server piece. It can be
 safely removed.

Package: etcd-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         lsb-base,
         pipexec,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: etcd-client,
Built-Using: ${misc:Built-Using},
Description: highly-available key value store -- daemon
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the server binaries.

Package: etcd-client
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: highly-available key value store -- client
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the client binaries.

Package: golang-etcd-server-dev
Architecture: all
Depends: golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
         golang-github-coreos-bbolt-dev,
         golang-github-coreos-go-semver-dev (>= 0.2.0~),
         golang-github-coreos-go-systemd-dev,
         golang-github-coreos-pkg-dev (>= 3~),
         golang-github-creack-pty-dev (>= 1.1.11~),
         golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
         golang-github-dustin-go-humanize-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
         golang-github-google-btree-dev,
         golang-github-google-uuid-dev,
         golang-github-gorilla-websocket-dev,
         golang-github-grpc-ecosystem-go-grpc-middleware-dev,
         golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
         golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.2.0~),
         golang-github-jonboulle-clockwork-dev,
         golang-github-json-iterator-go-dev,
         golang-github-modern-go-reflect2-dev,
         golang-github-olekukonko-tablewriter-dev (>= 0.0~git20170122.0.a0225b3~),
         golang-github-prometheus-client-golang-dev (>= 1.0.0~),
         golang-github-prometheus-client-model-dev,
         golang-github-soheilhy-cmux-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-tmc-grpc-websocket-proxy-dev,
         golang-github-urfave-cli-dev,
         golang-github-xiang90-probing-dev (>= 0.0.1~),
         golang-go.uber-zap-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-time-dev,
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
         golang-gopkg-yaml.v2-dev,
         golang-goprotobuf-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends},
Provides: golang-github-coreos-etcd-dev,
Description: highly-available key value store -- source
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the source.
