=== debian/tests/control ===
Test-Command: /usr/bin/dh_golang_autopkgtest
Depends: @,
         @builddeps@,
Restrictions: allow-stderr
Features: test-name=dh-golang-autopkgtest

Tests: integration
Depends: curl,
         etcd-client,
         etcd-server,
         @builddeps@,
Restrictions: allow-stderr, needs-root, breaks-testbed, isolation-container, skippable

Tests: functional
Depends: netcat-openbsd,
         @builddeps@,
Restrictions: allow-stderr, isolation-container, skippable
