=== debian/changelog ===
etcd (3.4.23-4ubuntu2) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:53 +1200

etcd (3.4.23-4ubuntu1) mantic; urgency=medium

  * SECURITY UPDATE: debug leaks credentials
    - debian/patches/CVE-2021-28235.patch: blanks out password
    - CVE-2021-28235

 -- Mark Esler <mark.esler@canonical.com>  Thu, 22 Jun 2023 18:51:27 -0500

etcd (3.4.23-4) unstable; urgency=medium

  * Team upload.
  * Add patch to skip flaky TestReadWriteTimeout
  * Add vip-manager << 1.0.2-5~ to Breaks

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Jan 2023 19:29:55 +0800

etcd (3.4.23-3) unstable; urgency=medium

  * Team upload.
  * Fix TestCorruptedBackupFileCheck on big-endian

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 04 Jan 2023 19:09:06 +0800

etcd (3.4.23-2) unstable; urgency=medium

  * Team upload.
  * Drop etcd transitional package
  * Update Standards-Version to 4.6.2 (no changes)
  * Add github.com/coreos/etcd to Go-Import-Path as well
  * Remove all options from default.
    Duplicated with upstream documentation
  * Rewrite sysv init with init-d-script
  * Update manpages

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 02 Jan 2023 21:49:43 +0800

etcd (3.4.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.23
    + Address CVE-2018-1098 CVE-2018-1099:
      Mitigate CSRF and DNS Rebinding attacks.
      Added --host-whitelist option.
  * Refresh patches. Drop:
    - 0005-go1.14-cipher.patch
    - 0007-switch-to-creack-pty.patch
    - 0008-use-TLS.Config.MaxVersion-to-TLS-1.2.patch
  * Change Go-Import-Path to go.etcd.io/etcd
  * Add patch for datadriven 1.0.2
  * Exclude tools when building
  * Fix package name in integration test
  * Install symlink for old path github.com/coreos/etcd
  * Add Breaks in golang-etcd-server-dev package
    + golang-github-docker-docker-dev
    + nextcloud-spreed-signaling

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Jan 2023 23:54:56 +0800

etcd (3.3.25+dfsg-8) unstable; urgency=medium

  * Team upload.

  [ Sam Q ]
  * Fix for correcting error searching new upstream

  [ Shengjing Zhu ]
  * Backport grpc 1.32 support

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Oct 2022 20:29:46 +0800

etcd (3.3.25+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * Switch autopkgtest to the new Architecture: field

  [ Reinhard Tartler ]
  * Avoid postinst crashes, Closes: #889714

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Feb 2022 22:18:53 -0500
