=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: etcd
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Anthony Fok <foka@debian.org>,
@@ -9,18 +10,18 @@
                dh-golang,
                golang-any (>= 2:1.10~),
                golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
+               golang-github-cockroachdb-datadriven-dev,
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-semver-dev (>= 0.2.0~),
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-pkg-dev (>= 3~),
                golang-github-creack-pty-dev (>= 1.1.11~),
-               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
                golang-github-dustin-go-humanize-dev,
                golang-github-gogo-protobuf-dev,
                golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
+               golang-github-golang-jwt-jwt-dev,
                golang-github-google-btree-dev,
                golang-github-google-uuid-dev,
-               golang-github-gorilla-websocket-dev,
                golang-github-grpc-ecosystem-go-grpc-middleware-dev,
                golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
                golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.2.0~),
@@ -33,6 +34,7 @@
                golang-github-soheilhy-cmux-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
+               golang-github-stretchr-testify-dev,
                golang-github-tmc-grpc-websocket-proxy-dev,
                golang-github-urfave-cli-dev,
                golang-github-xiang90-probing-dev (>= 0.0.1~),
@@ -41,36 +43,24 @@
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-time-dev,
-               golang-google-genproto-dev,
+               golang-golang-x-tools,
                golang-google-grpc-dev,
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-gopkg-yaml.v2-dev,
                golang-goprotobuf-dev,
                golang-k8s-sigs-yaml-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/etcd
 Vcs-Git: https://salsa.debian.org/go-team/packages/etcd.git
 Homepage: https://etcd.io
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/coreos/etcd
-
-Package: etcd
-Architecture: all
-Section: oldlibs
-Depends: etcd-client,
-         etcd-server,
-         ${misc:Depends},
-Description: Transitional package for etcd-client and etcd-server
- This is a transitional package to ease upgrades for splitting the
- etcd package into a separate client and server piece. It can be
- safely removed.
+XS-Go-Import-Path: go.etcd.io/etcd,
+                   github.com/coreos/etcd
 
 Package: etcd-server
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
-         lsb-base,
-         pipexec,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: etcd-client,
@@ -111,18 +101,18 @@
 Package: golang-etcd-server-dev
 Architecture: all
 Depends: golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
+         golang-github-cockroachdb-datadriven-dev,
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-semver-dev (>= 0.2.0~),
          golang-github-coreos-go-systemd-dev,
          golang-github-coreos-pkg-dev (>= 3~),
          golang-github-creack-pty-dev (>= 1.1.11~),
-         golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
          golang-github-dustin-go-humanize-dev,
          golang-github-gogo-protobuf-dev,
          golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
+         golang-github-golang-jwt-jwt-dev,
          golang-github-google-btree-dev,
          golang-github-google-uuid-dev,
-         golang-github-gorilla-websocket-dev,
          golang-github-grpc-ecosystem-go-grpc-middleware-dev,
          golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
          golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.2.0~),
@@ -143,7 +133,6 @@
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
          golang-golang-x-time-dev,
-         golang-google-genproto-dev,
          golang-google-grpc-dev,
          golang-gopkg-cheggaaa-pb.v1-dev,
          golang-gopkg-yaml.v2-dev,
@@ -151,6 +140,9 @@
          golang-k8s-sigs-yaml-dev,
          ${misc:Depends},
 Provides: golang-github-coreos-etcd-dev,
+Breaks: golang-github-docker-docker-dev (<< 20.10.21+dfsg1-2~),
+        nextcloud-spreed-signaling (<< 0.4.1-3~),
+        vip-manager (<<1.0.2-5~),
 Description: highly-available key value store -- source
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
