## etcd 3.4.30

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 
 
-GO_VERSION ?= 1.12.17
+GO_VERSION ?= 1.20.13
 ETCD_VERSION ?= $(shell git rev-parse --short HEAD || echo "GitNotFound")
 
 TEST_SUFFIX = $(shell date +%s | base64 | head -c 15)
@@ -147,6 +147,22 @@
 	$(info log-file: test-$(TEST_SUFFIX).log)
 	$(TEST_OPTS) ./test 2>&1 | tee test-$(TEST_SUFFIX).log
 	! egrep "(--- FAIL:|DATA RACE|panic: test timed out|appears to have leaked)" -B50 -A10 test-$(TEST_SUFFIX).log
+
+.PHONY: test-unit
+test-unit:
+	PASSES="unit" ./test $(GO_TEST_FLAGS)
+
+.PHONY: test-integration
+test-integration:
+	PASSES="integration" ./test $(GO_TEST_FLAGS)
+
+.PHONY: test-e2e
+test-e2e:
+	PASSES="build e2e" ./test $(GO_TEST_FLAGS)
+
+.PHONY: test-e2e-release
+test-e2e-release:
+	PASSES="build release e2e" ./test $(GO_TEST_FLAGS)
 
 docker-test:
 	$(info GO_VERSION: $(GO_VERSION))
@@ -347,13 +363,3 @@
 	  gcr.io/etcd-development/etcd-dns-test:go$(GO_VERSION) \
 	  /bin/bash -c "cd /etcd && /certs-gateway/run.sh && rm -rf m*.etcd"
 
-docker-dns-test-certs-wildcard-run:
-	$(info GO_VERSION: $(GO_VERSION))
-	$(info HOST_TMP_DIR: $(HOST_TMP_DIR))
-	$(info TMP_DIR_MOUNT_FLAG: $(TMP_DIR_MOUNT_FLAG))
-	docker run \
-	  --rm \
-	  --tty \
-	  --dns 127.0.0.1 \
-	  $(TMP_DIR_MOUNT_FLAG) \
-	  --mount type=bind,source=`pwd`/bin,destination=/etcd \
