=== debian/changelog ===
etcd (3.4.30-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:56:40 +0000

etcd (3.4.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.4.30
    + CVE-2021-28235 (fixed in 3.4.25): Clearing password after authenticating
      the user.
    + CVE-2023-32082 (fixed in 3.4.26): LeaseTimeToLive API may return keys to
      clients which have no read permission on the keys

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 28 Feb 2024 17:43:49 +0800

etcd (3.4.23-6) unstable; urgency=medium

  * Team upload
  * Add a patch to skip flaky test that failed on 3/10 buildds

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 17 Feb 2024 00:31:39 +0000

etcd (3.4.23-5) unstable; urgency=medium

  * Team upload
  * d/control:
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends
  * Add a patch to skip tests that fail in some environments

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 22:07:53 +0000
