=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
                golang-google-grpc-dev,
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-goprotobuf-dev,
+               golang-github-golang-protobuf-1-3-dev,
                golang-k8s-sigs-yaml-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/etcd
@@ -136,7 +136,7 @@
          golang-google-grpc-dev,
          golang-gopkg-cheggaaa-pb.v1-dev,
          golang-gopkg-yaml.v2-dev,
-         golang-goprotobuf-dev,
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          golang-k8s-sigs-yaml-dev,
          ${misc:Depends},
 Provides: golang-github-coreos-etcd-dev,
