## etcd 3.5.13

=== debian/changelog ===
etcd (3.5.13-1) unstable; urgency=medium

  * Update to new etcd version 3.5.13

 -- root <root@4783d7cbe4f7>  Fri, 17 May 2024 07:19:43 +0000

etcd (3.5.13-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 17 May 2024 07:19:43 +0000
